Package org.apache.struts2.conversion.impl

# Class DateConverter

java.lang.Object
org.apache.struts2.conversion.impl.DefaultTypeConverter
org.apache.struts2.conversion.impl.DateConverter

All Implemented Interfaces:
  `TypeConverter`

public class DateConverter extends DefaultTypeConverter

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.conversion.impl.DefaultTypeConverter

  `MILLISECOND_FORMAT`

  ### Fields inherited from interface org.apache.struts2.conversion.TypeConverter

  `NO_CONVERSION_POSSIBLE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DateConverter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `convertValue(Map<String,Object> context, Object target, Member member, String propertyName, Object value, Class toType)`
  Converts the given value to a given type.
  `protected DateTimeFormatter[]`
  `getDateTimeFormats(ActionContext context, Locale locale)`
  Retrieves the list of date time formats to be used when converting dates
  `protected String`
  `getGlobalDateString(ActionContext context)`
  The user defined global date format, see `Date.DATETAG_PROPERTY`

  ### Methods inherited from class org.apache.struts2.conversion.impl.DefaultTypeConverter

  `bigDecValue, bigIntValue, booleanValue, convertValue, convertValue, doubleValue, enumValue, getLocale, getTypeConverter, longValue, setContainer, stringValue, stringValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DateConverter

    public DateConverter()

- ## Method Details

  - ### convertValue

    public Object convertValue(Map<String,Object> context, Object target, Member member, String propertyName, Object value, Class toType)
    Description copied from interface: `TypeConverter`
    Converts the given value to a given type. The OGNL context, target, member and name of property being set are given. This method should be able to handle conversion in general without any context, target, member or property name specified.
    Specified by:
      `convertValue` in interface `TypeConverter`
    Overrides:
      `convertValue` in class `DefaultTypeConverter`
    Parameters:
      `context` - context under which the conversion is being done
      `target` - target object in which the property is being set
      `member` - member (Constructor, Method or Field) being set
      `propertyName` - property name being set
      `value` - value to be converted
      `toType` - type to which value is converted
    Returns:
      Converted value of type toType or TypeConverter.NoConversionPossible to indicate that the conversion was not possible.

  - ### getGlobalDateString

    protected String getGlobalDateString(ActionContext context)
    The user defined global date format, see `Date.DATETAG_PROPERTY`
    Parameters:
      `context` - current ActionContext
    Returns:
      defined global date string format

  - ### getDateTimeFormats

    protected DateTimeFormatter[] getDateTimeFormats(ActionContext context, Locale locale)
    Retrieves the list of date time formats to be used when converting dates
    Parameters:
      `context` - the current ActionContext
      `locale` - the current locale of the action
    Returns:
      a list of DateTimeFormatter to be used for date conversion